[Buri][TOR][Email]Can not create gmail account and send/receive e-mails on 3G network.

RESOLVED INCOMPLETE

Status

Firefox OS
Gaia::E-Mail
P1
normal
RESOLVED INCOMPLETE
4 years ago
4 years ago

People

(Reporter: sync-1, Unassigned)

Tracking

unspecified

Firefox Tracking Flags

(blocking-b2g:leo+)

Details

Attachments

(24 attachments, 2 obsolete attachments)

36.84 KB, image/pjpeg
Details
43.71 KB, image/pjpeg
Details
54.42 KB, image/pjpeg
Details
152.11 KB, image/x-png
Details
16.40 KB, text/x-log
Details
31.50 KB, image/png
Details
550.10 KB, application/octet-stream
Details
2.31 MB, application/octet-stream
Details
1.01 MB, text/plain
Details
2.59 MB, text/plain
Details
1.86 MB, text/x-vhdl
Details
1.88 MB, text/plain
Details
1.82 MB, text/x-vhdl
Details
32.02 KB, text/plain
Details
24.96 KB, text/plain
Details
2.17 MB, text/x-vhdl
Details
1.62 KB, application/x-wine-extension-pcap
Details
368.35 KB, text/plain
Details
5.20 MB, application/octet-stream
Details
50.21 KB, application/zip
Details
9.86 MB, application/octet-stream
Details
386.98 KB, text/plain
Details
955.69 KB, text/plain
Details
679.03 KB, text/plain
Details
(Reporter)

Description

4 years ago
Firefox os  v1.1
 Mozilla build ID:20130916041201
 
 Created an attachment (id=532200)
 sw version.jpg
 
 DEFECT DESCRIPTION:
 Can not cteate gmail account and send/receive emails on 3G network.
 
 REPRODUCING PROCEDURES:
 1.can not create Gmail account on 3G network (only on 2G)->ko1
 2.can not send/receive e-mails on 3G network (only on 2G)->ko2
 
 EXPECTED BEHAVIOUR:
 1.can create Gmail account on 3G network 
 2.can send/receive e-mails on 3G network 
 
 ASSOCIATE SPECIFICATION:
 
 TEST PLAN REFERENCE:
 
 TOOLS AND PLATFORMS USED:
 
 USER IMPACT:
 high
 REPRODUCING RATE:
 5/5
 For FT PR, Please list reference mobile's behavior:
(Reporter)

Comment 1

4 years ago
Clone from brother
(Reporter)

Comment 2

4 years ago
Created attachment 816934 [details]
sending.jpg
(Reporter)

Comment 3

4 years ago
Clone from brother
(Reporter)

Comment 4

4 years ago
Created attachment 816938 [details]
create account.jpg
(Reporter)

Comment 5

4 years ago
Clone from brother
(Reporter)

Comment 6

4 years ago
Created attachment 816939 [details]
sw version.jpg
(Reporter)

Comment 7

4 years ago
Clone from brother
(Reporter)

Comment 8

4 years ago
Created attachment 816941 [details]
PIC
Please provide a logcat log from when this happens.  See https://wiki.mozilla.org/Gaia/Email/RequiredBugInfo for more info on how to do that.

My best guess is that google is that when connected on 3G the device uses an IP range that google finds suspicious in general, or just for the purposes of the account in question.  If that's the case, our failure to provide a better error message is bug 914569.  I would suggest that after gathering the logcat that you try and connect to the web interface for the account in question and make sure google isn't asking if it was you trying to connect from a specific IP range, etc.

Comment 10

4 years ago
Created attachment 816992 [details]
add gmail account failed.log

Comment 11

4 years ago
Created attachment 817000 [details]
sign in Gmail by browser.png

Comment 12

4 years ago
Dears, this is carrier blocking issue.
blocking-b2g: --- → leo?
Summary: [Buri][Email]Can not create gmail account and send/receive e-mails on 3G network. → [Buri][TOR][Email]Can not create gmail account and send/receive e-mails on 3G network.

Comment 13

4 years ago
Created attachment 817086 [details]
Only 20% rate, send and receive email successfully

Comment 14

4 years ago
Created attachment 817089 [details]
Only 20% rate, send and receive email successfully

Please help to look into the logs and let us know why email sending/reception works only 20%?
Steps:
 
1/first email account creation was OK
2/ then sending/receiving was OK 100%
3/ delete the account
4/ re create it
5/ the sending/reception is working 20%

Comment 15

4 years ago
Hi Andrew,
 Please help to deal with the case in Comment 14. Reproducing steps:
 1. add a email account successfully.
 2. send and receive message is 100% OK.
 3. delete the account.
 4. add the account again.
 5. send and receive message is only 20% OK.
Comment on attachment 816992 [details]
add gmail account failed.log

The logcat log indicates that there was an online->offline transition followed by an offline->online transition during the probe process.  This seems to correlate with the "RIL:DataInfoChanged" message.  Based on that and the subsequent messages about the TCP connection, I worry that whatever is causing that transition might be causing our TCP connections to drop.

Is it possible that our initiation of the TCP connection causes a connection upgrade (like when my Nexus 4 goes from H to H+), but does so in a way that breaks the very connection it is trying to help?

The .isf logs are unfortunately not something I can use.  We don't have the tooling that understand them, as far as I know.

Comment 17

4 years ago
Created attachment 817642 [details]
10-14.16-09.txt

Comment 18

4 years ago
Created attachment 817643 [details]
10-14.16-11.txt
Jack, does this bug reproduce when you are using a build without data connection instability that's caused by Bug 888828?
Flags: needinfo?(liuyongming)
For ISF files, suggest you file SR for support. thanks

Comment 21

4 years ago
I/Gecko   (  660): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:NetworkSelectionModeChanged{mode : 'automatic'}
I/Gecko   (  805): WLOG: Attempting to get autoconfiguration for gmail.com
I/Gecko   (  805): WLOG:   Looking in GELAM
I/Gecko   (  805): WLOG:   Looking in local file store
I/Gecko   (  805): WLOG: SUCCESS
I/Gecko   (  805): WLOG: PROBE:IMAP attempting to connect to imap.googlemail.com
I/Gecko   (  805): TCPSocket: content process: true
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: window init: 4
I/Gecko   (  805): TCPSocket: startup called
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: Host info: imap.googlemail.com:993
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: SSL: ssl
I/Gecko   (  805): 
I/Gecko   (  805): WLOG: PROBE:SMTP attempting to connect to smtp.googlemail.com
I/Gecko   (  805): TCPSocket: content process: true
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: window init: 4
I/Gecko   (  805): TCPSocket: startup called
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: Host info: smtp.googlemail.com:465
I/Gecko   (  805): 
I/Gecko   (  805): TCPSocket: SSL: ssl
I/Gecko   (  805): 
I/Gecko   (  660): TCPSocket: content process: false
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: window init: undefined
I/Gecko   (  660): TCPSocket: startup called
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: Host info: imap.googlemail.com:993
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: SSL: ssl
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: content process: false
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: window init: undefined
I/Gecko   (  660): TCPSocket: startup called
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: Host info: smtp.googlemail.com:465
I/Gecko   (  660): 
I/Gecko   (  660): TCPSocket: SSL: ssl
I/Gecko   (  660): 
I/Gecko   (  805): WWAR: PROBE:SMTP sad. error: | bad-security |  |
I/Gecko   (  805): WWAR: PROBE:IMAP sad. Error | bad-security | SSL error | undefined

Comment 22

4 years ago
I keep encountering the issues in Comment 21.
Does this help?

Gaia:     680f3b86b1e4ff1411ece6ba397b8b0e56b4b31c
Gecko:    http://hg.mozilla.org/releases/mozilla-b2g18/rev/4bfd6a51cd05
BuildID   20131015041203
Version   18.0

Comment 23

4 years ago
Google :"As a security precaution, Google may prevent an application from accessing your account if it's the first time we've seen this application sign in to your account, or if it's attempting to sign in from a new location"

I guess that's the reason I encountered Comment 21.

Comment 24

4 years ago
Hi,

i have just got an issue with sending of emails on mail.ru.
test steps were:
connect to wifi without sim card. connected to email mail.ru. send/receive emails 3 or 4 times =. OK.
browsing=ok, facebook =ok.

switched off the wifi and connected to orange france network with orange sim.
go to mail.ru and try to send and receive the emails. have got the error message many times, when tried to respond to an email which i ve got being on wifi and which did work fine 5 min ago.

next step gone to the google email and sending and reception seemed to work fine.

got back to the mail. ru account. one of the email was sent and received successfully this time.

not sure you/ll be able to find useful information from the logs attached.
let me know if you need more logs
Flags: needinfo?(liuyongming)

Comment 25

4 years ago
Created attachment 817816 [details]
logcat_20131016_134536_MailRuEmailNOK

Comment 26

4 years ago
Created attachment 817822 [details]
logcat_20131016_134536.txt

same as previous file but can be opened via note pad
QA Wanted - Can someone try testing this to see if they can reproduce this?
Keywords: qawanted
Note for qawanted testing - be sure to test this with a TCL 1.1 partner build & Buri 1.1 Mozilla RIL for comparison.

Comment 29

4 years ago
we find the gecko:

10-16 15:43:43.029 I/Gecko   ( 1065): [33mWWAR: PROBE:IMAP sad. Error | unresponsive-server | Unable to connect. Reason: gggg [object Object] | [0m
10-16 15:43:43.039 I/Gecko   ( 1065): [33mWWAR: PROBE:SMTP sad. error: | server-problem |  |[0m   

then deactive the datacall;

Comment 30

4 years ago
we find this is reported in  Bug 823234  also;

Comment 31

4 years ago
the qcom case id is 01328489

Comment 32

4 years ago
the qcom analyse:

Created By: Jiangtao Huang (10/16/2013 7:26 PM)
Dear customer
I checked the logs, there no any change about network, but AP send deactivate datacall to BP, So sometimes will lose data connection.
Because there is few logs, could you help check why AP send deactivate datacall.


10-16 15:35:50.039 D/DATA_CALL_TRACKER_QC_B2G( 140): DeactivateDataCall::aCid=0, aReason=0
10-16 15:35:50.039 D/RIL_QC_B2G( 140): [0463]> DEACTIVATE_DATA_CALL cid=0, reason=0, usrObj=0

10-16 15:39:38.659 D/DATA_CALL_TRACKER_QC_B2G( 140): DeactivateDataCall::aCid=0, aReason=0
10-16 15:39:38.659 D/RIL_QC_B2G( 140): [0682]> DEACTIVATE_DATA_CALL cid=0, reason=0, usrObj=0

10-16 15:43:53.649 D/DATA_CALL_TRACKER_QC_B2G( 140): DeactivateDataCall::aCid=0, aReason=0
10-16 15:43:53.649 D/RIL_QC_B2G( 140): [0775]> DEACTIVATE_DATA_CALL cid=0, reason=0, usrObj=0

Comment 33

4 years ago
Created attachment 818262 [details]
logcat_20131016_153137  the log for email fail( call deactivedatacall sometimes)

Comment 34

4 years ago
I/Gecko   (  890): WERR: Connect error: unknown formal: [object Object] on imap.googlemail.com 993

Comment 35

4 years ago
I/Gecko   (  138): TCPSocket: errType = 'Network' status:0x804B000C   errName = 'ConnectionRefusedError';
I/Gecko   (  582): WWAR: PROBE:IMAP sad. Error | unresponsive-server | Unable to connect. Reason: [object Object] |

Comment 36

4 years ago
Created attachment 818366 [details]
gem-log-1382004299080.json
Duplicate of this bug: 926747
Duplicate of this bug: 926150
Duplicate of this bug: 926739

Comment 40

4 years ago
Created attachment 818379 [details]
sending email failed.logcat

Comment 41

4 years ago
Comment on attachment 818366 [details]
gem-log-1382004299080.json

sending email failed

Comment 42

4 years ago
I wonder if this bug has same root cause as bug 909688. Please check if it is necessary to put the fix of bug 909688 in commercial RIL.
Flags: needinfo?(anshulj)
(In reply to buri.blff from comment #35)
> I/Gecko   (  138): TCPSocket: errType = 'Network' status:0x804B000C  
> errName = 'ConnectionRefusedError';
> I/Gecko   (  582): WWAR: PROBE:IMAP sad. Error | unresponsive-server |
> Unable to connect. Reason: [object Object] |

TCPSocket returns ConnectionRefusedError, looks like that we can reach network but the TCP connection is reset by the server. Could you also upload tcpdump log?

Comment 44

4 years ago
Created attachment 818471 [details]
logcat_20130601_020247

one log from customer

Updated

4 years ago
QA Contact: sarsenyev
(In reply to Joe Cheng [:jcheng] from comment #20)
> For ISF files, suggest you file SR for support. thanks

The only "SR" acronym I know of in Bugzilla context is super-review... what is SR?

(In reply to Al Tsai [:atsai] from comment #23)
> Google :"As a security precaution, Google may prevent an application from
> accessing your account if it's the first time we've seen this application
> sign in to your account, or if it's attempting to sign in from a new
> location"
> 
> I guess that's the reason I encountered Comment 21.

No.  You got 'bad-security' errors which means we were unable to do the SSL/TLS handshake.  The most likely explanation is your device's clock was off so it through the certificates were expired or not yet valid.  The other possibility is you were behind a proxy server or captive portal.

We do have a bug on the thing you're quoting, and that's bug 914569
I agree that it looks like a platform issue, perhaps dealing with sockets as Andrew describes.

Comment 47

4 years ago
The issue reproduces on the partner build and the latest 1.1 Mozilla COM RIL on Buri device
But didn't see the issue with the latest 1.1 Mozilla MOZ RIL, was able to log in from the first time and send/receive emails without any problems

As per comment 14, 15 followed the steps and seeing the issue on the partner build and the latest 1.1 MOZ COM RIL
1) Unable to sign into Google.com account from the first attempt, was able to sign in from the third attempt
2) After deleting and adding the Gmail account again, I wasn't able to access Gmail account from the first attempt either
2) Was able to send an email after a couple attempts, when the email failed to send, the error message is appeared that unable to send the email

Also per comment 24, don't have a France orange SIM card, but don't see the issue with AT&T SIM card to  access and send/receive emails

Device: Buri v1.1 Mozilla MOZ/COM RIL
BuildID: 20131017041201
Gaia: db1cb176b94f53a59db78490bd379e96fc0c66f2
Gecko: 1f633b123e9c
Version: 18.0
Firmware Version: US_20130912

Device:  Buri v1.1 Partner build
BuildID: 20130930155636
Gaia: f85fffbb33a3c88cb993d2b4abd3f29b88bb527d
Gecko:
Version: 18.0
Firmware Version: US_20130930
Keywords: qawanted

Comment 48

4 years ago
Created attachment 818797 [details]
filename-error.pcap(the tcpdum when email create account fail)

the tcpdum when email create account fail)

Comment 49

4 years ago
Created attachment 818798 [details]
filename-ok.pcap(the tcp dump  when email create account ok)

the tcp dump  when email create account ok
I didn't see any packet for SMTPS or IMAPS in both tcpdump files, even tcpdump for successful connection doesn't contain packets for email protocols. Do you apply any filter when capturing?

Comment 51

4 years ago
Created attachment 818848 [details]
filename.pcap(create gmail account fail tcpdump with imaps)

Comment 52

4 years ago
the command i used is :

/data/local/tcpdump  -p -vv -w /sdcard/filename.pcap

Comment 53

4 years ago
our /proc/net/route

Iface	Destination	Gateway 	Flags	RefCnt	Use	Metric	Mask	MTU	Window	IRTT                                                       
rmnet0	00000000	A9D7230A	0003	0	0	0	000000000	0	0                                                                             
rmnet0	A8D7230A	00000000	0001	0	0	0	FCFFFFFF0	0	0                                                                             
rmnet0	034616D2	A9D7230A	0007	0	0	0	FFFFFFFF0	0	0                                                                             
rmnet0	035416D2	A9D7230A	0007	0	0	0	FFFFFFFF0	0	0

Comment 54

4 years ago
the netcfg
lo       UP                                   127.0.0.1/8   0x00000049 00:00:00:00:00:00
rmnet0   UP                               10.35.215.168/30  0x00000041 00:00:00:00:00:00
rmnet1   DOWN                                   0.0.0.0/0   0x00000000 00:00:00:00:00:00
rmnet2   DOWN                                   0.0.0.0/0   0x00000000 00:00:00:00:00:00
rmnet3   DOWN                                   0.0.0.0/0   0x00001002 b6:5c:c0:58:e1:c0
rmnet4   DOWN                                   0.0.0.0/0   0x00001002 ce:1c:50:45:d8:88
rmnet5   DOWN                                   0.0.0.0/0   0x00001002 da:cc:86:54:e0:23
rmnet6   DOWN                                   0.0.0.0/0   0x00001002 c6:9a:e8:0f:e4:9e
rmnet7   DOWN                                   0.0.0.0/0   0x00001002 02:96:71:03:6c:2c
sit0     DOWN                                   0.0.0.0/0   0x00000080 00:00:00:00:00:00
ip6tnl0  DOWN                                   0.0.0.0/0   0x00000080 00:00:00:00:00:00
wlan0    UP                                     0.0.0.0/0   0x00001003 e4:2d:02:a4:42:8f

Comment 55

4 years ago
(In reply to Patrick Wang [:kk1fff] from comment #50)
> I didn't see any packet for SMTPS or IMAPS in both tcpdump files, even
> tcpdump for successful connection doesn't contain packets for email
> protocols. Do you apply any filter when capturing?

i don't use filter, i used command :

tcpdump -i any -p -vv -s 0 -w  /sdcard/filename.pcap

Comment 56

4 years ago
Is there any method to check if the email sestion is closed success?
we find some times the socket can't be open, it will cause the send email fail.

Comment 57

4 years ago
E/GeckoConsole(  140): [JavaScript Error: "[Exception... "'Error: Socket not open.' when calling method: [nsIDOMTCPSocket::send]"  nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)"  location: "JS frame :: jar:file:///system/b2g/omni.ja!/components/TCPSocketParentIntermediary.js :: <TOP_LEVEL> :: line 49"  data: no]" {file: "jar:file:///system/b2g/omni.ja!/components/TCPSocketParentIntermediary.js" line: 49}]


E/GeckoConsole(  140): [JavaScript Error: "[Exception... "'Error: Socket not open.' when calling method: [nsIDOMTCPSocket::send]"  nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)"  location: "JS frame :: jar:file:///system/b2g/omni.ja!/components/TCPSocketParentIntermediary.js :: <TOP_LEVEL> :: line 49"  data: no]" {file: "jar:file:///system/b2g/omni.ja!/components/TCPSocketParentIntermediary.js" line: 49}]

Comment 58

4 years ago
send email-------------------------------------------------------------------------------------OK---------------
I/ONCRPC  (  145): oncrpc_proxy_handle_cmd_rpc_call: Dispatch returned for xid: 1b81
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"onopen"}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":4,"cmd":"ondata","args":{}}, listen:{}
I/Gecko   ( 6352): WLOG: account.sendMessage~~err:null, badAddresses:undefined
I/Gecko   ( 6352): WLOG: runOp(local_do: {"type":"deleteDraft","longtermId":"4/1q","lifecycle":"do","localStatus":"doing","serverStatus":"n/a","tryCount":0,"humanOp":"deleteDraft","messageNamer":{"suid)
I/GeckoDump( 6352): LOG: _recv_doneCompose---->msg{"type":"doneCompose","handle":6,"err":null,"messageId":"<1382080361720.111a92b79493a@mozgaia>","sentDate":1382080361720}, network is online:true
I/GeckoDump( 6352): LOG: sendingTemplate:[object HTMLFormElement],domNode:[object HTMLDivElement]
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"maildb","uid":10,"cmd":"loadHeaderBlock","args":[{"ids":[24,23,22,20,18,17,8],"headers":[{"id":24,"srvid":null,"suid":"4/9/24","guid":null,"author":{"name":"tct","address":"testmoztct@gmail.com"},"to":[{"name":"tct","address":"testmoztct@gmail.com"}],"cc":[],"bcc":[],"replyTo":null,"date":1382080281912,"flags":[],"hasAttachments":false,"subject":"fhhjkkk","snippet":""},{"id":23,"srvid":null,"suid":"4/9/23","guid":null,"author":{"name":"tct","address":"testmoztct@gmail.com"},"to":[{"name":"tct","address":"testmoztct@gmail.com"}],"cc":[],"bcc":[],"replyTo":null,"date":1382079580805,"flags":[],"hasAttachments":false,"subject":"jjhhhh","snippet":""},{"id":22,"srvid":null,"suid":"4/9/22","guid":null,"author":{"name":"tct","address":"testmoztct@gmail.com"},"to":[{"name":"tct","address":"testmoztct@gmail.com"}],"cc":[],"bcc":[],"replyTo":null,"date":1382078765601,"flags":[],"hasAttachments":false,"subject":"fhjjhhj","snippet":""},{"id":20,"srvid":null,"sui
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"maildb","uid":11,"cmd":"loadBodyBlock","args":[{"ids":[24,23,22,20,18,17,8],"bodies":{"8":{"date":1382062868125,"size":50,"attachments":[],"relatedParts":[],"bodyReps":[{"type":"plain","part":null,"sizeEstimate":0,"amountDownloaded":0,"isDownloaded":true,"_partInfo":{},"content":[1,""]}]},"17":{"date":1382076306650,"size":50,"attachments":[],"relatedParts":[],"bodyReps":[{"type":"plain","part":null,"sizeEstimate":0,"amountDownloaded":0,"isDownloaded":true,"_partInfo":{},"content":[1,""]}]},"18":{"date":1382077404931,"size":50,"attachments":[],"relatedParts":[],"bodyReps":[{"type":"plain","part":null,"sizeEstimate":0,"amountDownloaded":0,"isDownloaded":true,"_partInfo":{},"content":[1,""]}]},"20":{"date":1382077488424,"size":50,"attachments":[],"relatedParts":[],"bodyReps":[{"type":"plain","part":null,"sizeEstimate":0,"amountDownloaded":0,"isDownloaded":true,"_partInfo":{},"content":[1,""]}]},"22":{"date":1382078765601,"size":50,"attachments":[],"rel
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"maildb","uid":12,"cmd":"saveAccountFolderStates","args":[]}, listen:{}

Comment 59

4 years ago
send email----------------------------------------------------------failed---------
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"control","uid":null,"cmd":"offline","args":[false]}, listen:{}
I/Gecko   ( 6352): WLOG: Email knows that it is: offline and previously was: online
I/Gecko   (  142): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:VoiceInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -57,relSignalStrength : 90,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}
I/Gecko   (  142): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:DataInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -57,relSignalStrength : 90,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}
I/Gecko   (  142): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:NetworkSelectionModeChanged{mode : 'automatic'}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"control","uid":null,"cmd":"online","args":[true]}, listen:{}
I/Gecko   ( 6352): WLOG: Email knows that it is: online and previously was: offline
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":5,"cmd":"onopen"}, listen:{}
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":5,"cmd":"onerror","args":{"name":"ConnectionRefusedError"}}, listen:{}
I/Gecko   ( 6352): WLOG: account.sendMessage~~err:unknown, badAddresses:null
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"netsocket","uid":5,"cmd":"onclose"}, listen:{}
I/GeckoDump( 6352): LOG: _recv_doneCompose---->msg{"type":"doneCompose","handle":7,"err":"unknown","badAddresses":null,"messageId":"<1382080402621.bbde8eec946ed@mozgaia>","sentDate":1382080402621}, network is online:true
I/GeckoDump( 6352): LOG: sendingTemplate:[object HTMLFormElement],domNode:[object HTMLDivElement]
D/DATA_CALL_MGR_QC_B2G(  142): Timer expired; forcing data to dormant
D/SIGNAL_STRENGTH_QC_B2G(  142): GetDbm = -57
D/SIGNAL_STRENGTH_QC_B2G(  142): GetRelSignalStrength = 90
D/SIGNAL_STRENGTH_QC_B2G(  142): GetDbm = -57
D/SIGNAL_STRENGTH_QC_B2G(  142): GetRelSignalStrength = 90
D/SIGNAL_STRENGTH_QC_B2G(  142): GetDbm = -57
D/SIGNAL_STRENGTH_QC_B2G(  142): GetRelSignalStrength = 90
D/SIGNAL_STRENGTH_QC_B2G(  142): GetDbm = -57
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"control","uid":null,"cmd":"offline","args":[false]}, listen:{}
I/Gecko   ( 6352): WLOG: Email knows that it is: offline and previously was: online
D/SIGNAL_STRENGTH_QC_B2G(  142): GetRelSignalStrength = 90
I/Gecko   ( 6352): WLOG: receiveMessage-------------------->data:{"type":"control","uid":null,"cmd":"online","args":[true]}, listen:{}
I/Gecko   ( 6352): WLOG: Email knows that it is: online and previously was: offline
I/Gecko   (  142): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:VoiceInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -57,relSignalStrength : 90,network : {mcc : '460', mnc : '01', longName :

Comment 60

4 years ago
we find the 

every time open with uid:0 host:imap.googlemail.com:port:993 will success;
but open with uid:1 host:smtp.googlemail.com:port:465 will fail;

so this is not about the network pr;

Maybe there is some problem about the smtp socket;

Comment 61

4 years ago
// Checking log 
sending email failed.logcat (24.96 KB, text/plain)


There is no data connection infomation before "I/Gecko   (  669): WWAR: Conn steady error: [object Object] on imap.googlemail.com 993", however, the data connection looks normally.

there is no PDP disconnect found, the device is not loacted around low-siganl area.


I/Gecko   (  669): TCPSocket: content process: true
I/Gecko   (  669): 
I/Gecko   (  669): TCPSocket: window init: 4
I/Gecko   (  669): TCPSocket: startup called
I/Gecko   (  669): 
I/Gecko   (  669): TCPSocket: Host info: smtp.googlemail.com:465
I/Gecko   (  669): 
I/Gecko   (  669): TCPSocket: SSL: ssl
I/Gecko   (  669): 
I/Gecko   (  140): TCPSocket: content process: false
I/Gecko   (  140): 
I/Gecko   (  140): TCPSocket: window init: undefined
I/Gecko   (  140): TCPSocket: startup called
I/Gecko   (  140): 
I/Gecko   (  140): TCPSocket: Host info: smtp.googlemail.com:465
I/Gecko   (  140): 
I/Gecko   (  140): TCPSocket: SSL: ssl
I/Gecko   (  140): 
I/Gecko   (  669): WWAR: Conn steady error: [object Object] on imap.googlemail.com 993
...
I/Gecko   (  140): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:DataInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -57,relSignalStrength : 90,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}
I/Gecko   (  140): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:DataInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -57,relSignalStrength : 90,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}
I/Gecko   (  140): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:DataInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -67,relSignalStrength : 74,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}
I/Gecko   (  140): -*- QCContentHelper_QC_B2G: sendMessage to content process: RIL:DataInfoChanged{connected : true,emergencyCallsOnly : false,roaming : false,type : 'hspa',signalStrength : -55,relSignalStrength : 93,network : {mcc : '460', mnc : '01', longName : 'CHN-UNICOM', shortName : 'UNICOM'},cell : {gsmLocationAreaCode : 47889, gsmCellId :202456677},state : 'registered'}

Comment 62

4 years ago
Created attachment 818918 [details]
the http log(when send email failed)

Comment 63

4 years ago
we catched the http log of gecko, maybe we can find why the smtp failed

Comment 64

4 years ago

according to the log in http log of gecko:

2013-10-18 09:28:51.684374 UTC - 29798736[40304550]: nsSocketInputStream::Read [this=48c65ae8 count=16384]  ggg
2013-10-18 09:28:51.684419 UTC - 29798736[40304550]: nsSocketInputStream::CloseWithStatus [this=48c65ae8 reason=0]   ggg
2013-10-18 09:28:51.684461 UTC - 29798736[40304550]: ggg(NS_BASE_STREAM_CLOSED) nsSocketInputStream::CloseWithStatus [this=48c65ae8 reason=80470002]  ggg
2013-10-18 09:28:51.684521 UTC - 29798736[40304550]: STS dispatch [4a9ff188]


we find the smtp has receive some date, but it close the socket immedialy, then close the http channel.

Maybe there is some problem;

Comment 65

4 years ago
Created attachment 818972 [details]
Email still failed.Testing on18Oct build>TNHUsim.3G-onlyMode

Comment 66

4 years ago
Created attachment 818974 [details]
logcat.-18Oct2013_18octBuild_GmailNOK_3GMode

Comment 67

4 years ago
Created attachment 818975 [details]
10-18.14-38-AutomaticMode-TNHUsim_Gmail-Failed

facebook app cannot be opened
Gmail account couldnt be created
it is a stopship! we already late for launch of the device on the market. Please help!
I can duplicate similar result with my gmail account. 

But on the same phone and same network, a different gmail account can work properly. When I can't receive email, I can see there is packet on Recv-Q of the connection. But I am not sure if this got relationship with the error.

$ adb shell netstat 
Proto Recv-Q Send-Q Local Address          Foreign Address        State
 tcp       0      0 127.0.0.1:55555        0.0.0.0:*              LISTEN
 tcp       0      0 127.0.0.1:55556        0.0.0.0:*              LISTEN
 tcp       0      0 127.0.0.1:5037         0.0.0.0:*              LISTEN
 tcp       0      0 127.0.0.1:6000         0.0.0.0:*              LISTEN
 tcp       0      0 100.74.36.249:54887    74.125.129.16:993      ESTABLISHED
 tcp       0      0 100.74.36.249:38894    173.194.72.138:80      TIME_WAIT
 tcp      28      0 100.64.74.208:40570    74.125.129.16:993      FIN_WAIT1
 tcp       0      0 100.74.36.249:54886    74.125.129.16:993      ESTABLISHED
 tcp       0      0 100.74.36.249:51709    173.194.72.113:80      ESTABLISHED
 tcp       0      0 100.74.36.249:43423    173.194.79.16:465      ESTABLISHED

Can also use "adb shell netstat" to check if you can see similar connection status when sending/receiving email is failed?
(In reply to DayginaE from comment #67)
> Created attachment 818975 [details]
> 10-18.14-38-AutomaticMode-TNHUsim_Gmail-Failed
> 
> facebook app cannot be opened
> Gmail account couldnt be created
> it is a stopship! we already late for launch of the device on the market.
> Please help!

please open another bug for this. this seem like a general device connectivity problem. let's not lose focus in this bug. thanks
Hi Ehsan, 
I am not sure if you are working on this. Do you have some idea on this case?
I think Recv-Q got packets is because user space program didn't accept the packets from network correctly.
Flags: needinfo?(ehsan)

Comment 71

4 years ago
(In reply to Kai-Zhen Li from comment #70)
> Hi Ehsan, 
> I am not sure if you are working on this. Do you have some idea on this case?
> I think Recv-Q got packets is because user space program didn't accept the
> packets from network correctly.

This is the first time I'm hearing about this bug!  I'm not working on it.
Flags: needinfo?(ehsan)
(In reply to buri.blff from comment #51)
> Created attachment 818848 [details]
> filename.pcap(create gmail account fail tcpdump with imaps)

According to the dump, we got a SYN ACK packet in this connection, which means we can reach the network. But the phone sent FIN right after 3-way handshake. Weird.. Looks like user space program close the connection right after connect() is done.
partner blocker. Leo+
blocking-b2g: leo? → leo+
Comment on attachment 818797 [details]
filename-error.pcap(the tcpdum when email create account fail)

(cleaning up attachments.  Obsoleting tcpdump log that only has https/http/dns traffic; http is for OCSP requests)
Attachment #818797 - Attachment is obsolete: true
Comment on attachment 818798 [details]
filename-ok.pcap(the tcp dump  when email create account ok)

(Cleaning up attachments.  Obsoleting log that only contains https traffic.)
Attachment #818798 - Attachment is obsolete: true
Comment on attachment 818848 [details]
filename.pcap(create gmail account fail tcpdump with imaps)

Do you have the adb logcat or the "http log" from the time period that corresponds to this tcpdump log?  The timestamps from the pcap file don't seem to line up with any other attached logs.  The ability to correlate the logs together would be invaluable.
mvines - https://bugzilla.mozilla.org/show_bug.cgi?id=926751#c47 seems to imply this could be a commercial RIL bug. What do you think?
Flags: needinfo?(mvines)

Comment 78

4 years ago
Created attachment 819283 [details]
myLogFile(the http log add the mCondition's value added)

Comment 79

4 years ago
(In reply to Andrew Sutherland (:asuth) from comment #76)
> Comment on attachment 818848 [details]
> filename.pcap(create gmail account fail tcpdump with imaps)
> 
> Do you have the adb logcat or the "http log" from the time period that
> corresponds to this tcpdump log?  The timestamps from the pcap file don't
> seem to line up with any other attached logs.  The ability to correlate the
> logs together would be invaluable.

not the adb logcat is not from same time

Comment 80

4 years ago
(In reply to buri.blff from comment #78)
> Created attachment 819283 [details]
> myLogFile(the http log add the mCondition's value added)

in the LOG we find some problem:
    - 25846096[40404550]: MSG_DNS_LOOKUP_COMPLETE reason=0
2013-10-19 00:59:21.177098 UTC - 25846096[40404550]: nsSocketTransportService::DetachSocket [handler=48f7bbc0]
2013-10-19 00:59:21.177139 UTC - 25846096[40404550]: nsSocketTransport::OnSocketDetached [this=48f7bbc0 cond=0]
2013-10-19 00:59:21.177186 UTC - 25846096[40404550]: nsSocketTransport::RecoverFromError [this=48f7bbc0 state=3 cond=80004004]  gggg
2013-10-19 00:59:21.177228 UTC - 25846096[40404550]: nsSocketInputStream::OnSocketReady [this=48f7bca8 cond=80004004]

when nsSocketTransportService::DetachSocket the mCondition = NS_ERROR_ABORT;
then the follow steps all will fail:OnSocketDetached,RecoverFromError,OnSocketReady.

then when read with mCondition = NS_ERROR_ABORT; the socket will be closed and return the error to app which will cause the send email fail;
25846096[40404550]: nsSocketInputStream::Read [this=48f7bca8 count=16384 mCondition=80004004] gggggg
2013-10-19 00:59:21.178201 UTC - 25846096[40404550]: nsSocketInputStream::CloseWithStatus [this=48f7bca8 reason=0]      ggg
2013-10-19 00:59:21.178241 UTC - 25846096[40404550]: nsSocketInputStream::CloseWithStatus [this=48f7bca8 reason=80470002]   gg

Comment 81

4 years ago
Created attachment 819317 [details]
myLogFile1(the htttp log for  sending email ok in  2g net)

Comment 82

4 years ago
Created attachment 819318 [details]
myLogFile2(the http log for send email fail in 3g net )
I've done tests in Paris.
When Call setting is in Automatic mode I can't create a gmail account in Mail app.
When I set 3G only I can create the gmail account.
In 3G only I am unable to load the messages
In 2G only I can load the messages

Comment 84

4 years ago
Dears,

we file new SR for QC RIL problem: 01327884
(In reply to David Scravaglieri [:scravag] from comment #83)
> I've done tests in Paris.
> When Call setting is in Automatic mode I can't create a gmail account in
> Mail app.
> When I set 3G only I can create the gmail account.
> In 3G only I am unable to load the messages
> In 2G only I can load the messages

this should be commercial RIL build from partner. David can you confirm? Thanks
Flags: needinfo?(dscravaglieri)
(In reply to David Scravaglieri [:scravag] from comment #83)
> I've done tests in Paris.
> When Call setting is in Automatic mode I can't create a gmail account in
> Mail app.
> When I set 3G only I can create the gmail account.
> In 3G only I am unable to load the messages
> In 2G only I can load the messages

Do you have logcats for these runs?

Comment 87

4 years ago
Can anyone reproduce this bug? Thanks.
This issue is being worked through an SR, I don't think there's any further action required here.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Flags: needinfo?(mvines)
Flags: needinfo?(anshulj)
Resolution: --- → INCOMPLETE
clear n?
Flags: needinfo?(dscravaglieri)
Duplicate of this bug: 927243
You need to log in before you can comment on or make changes to this bug.